GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "fe58420f-bcc6-4dc6-9f16-5d339e63c679",
"Asset": {
"AssetId": "202ca0b4-a89c-44c0-95f9-f1e1bc6bc934",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "00d36e45-9398-474f-8cd9-85f21e37a379",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"MeasurementValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "61cb9a5b-dc03-4547-8ae7-15f84b9cd18f",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"MeasurementValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "cadfb9f3-a952-46d0-a31e-a5615b7ef3dd",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-15T03:18:49.2366756-07:00",
"Location": "sample string 1",
"TaskId": "9640b0a5-ac7b-41ab-863c-0a4455310fe5",
"Values": [
{
"FormFieldValueId": "19ddeb23-ee52-49c9-ad6a-067f0703088f",
"FormId": "1e60e0e8-b8c0-49a3-8a5a-28c7e63faab7",
"FormTypeField": {
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "19ddeb23-ee52-49c9-ad6a-067f0703088f",
"FormId": "1e60e0e8-b8c0-49a3-8a5a-28c7e63faab7",
"FormTypeField": {
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "6ace97a7-20e8-4efc-8a08-af184d49a268",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "fe58420f-bcc6-4dc6-9f16-5d339e63c679",
"Asset": {
"AssetId": "202ca0b4-a89c-44c0-95f9-f1e1bc6bc934",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "00d36e45-9398-474f-8cd9-85f21e37a379",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"MeasurementValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "61cb9a5b-dc03-4547-8ae7-15f84b9cd18f",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"MeasurementValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "cadfb9f3-a952-46d0-a31e-a5615b7ef3dd",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-15T03:18:49.2366756-07:00",
"Location": "sample string 1",
"TaskId": "9640b0a5-ac7b-41ab-863c-0a4455310fe5",
"Values": [
{
"FormFieldValueId": "19ddeb23-ee52-49c9-ad6a-067f0703088f",
"FormId": "1e60e0e8-b8c0-49a3-8a5a-28c7e63faab7",
"FormTypeField": {
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "19ddeb23-ee52-49c9-ad6a-067f0703088f",
"FormId": "1e60e0e8-b8c0-49a3-8a5a-28c7e63faab7",
"FormTypeField": {
"FormTypeFieldId": "0f738958-90d2-4013-91c4-00faf40b3310",
"FormType": {
"FormTypeId": "6e42359b-95c9-40db-b5a8-d0157077833b",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "e2dafa1d-42f7-4acf-8da5-ee49e25e8ff7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "1c0d6675-00b4-44aa-beed-0cefae2acba2",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-15T03:18:49.2366756-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "eda5ab07-5c44-4294-a2a3-5e8268302b1e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "ed9ca97a-f577-4cd1-87cd-beefc5891b47",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "4da66eab-d6a0-4ea2-8e9e-0172a68b82a6",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "0af0a2a8-1a03-4e90-a60c-59954a5a89f0",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "ff90bdef-dce0-4521-9dab-b70eefee775e",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "53c34807-c370-455f-a871-76c64486dbf2",
"FieldId": "340721eb-9842-464b-962c-d9f9676c29eb",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "6ace97a7-20e8-4efc-8a08-af184d49a268",
"CreateDate": "2026-10-15T03:18:49.2366756-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-15T03:18:49.2366756-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}